#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		all_service	network swap
#-----------------------------------------------------------------------------
Name		:	lfs-bootscripts
Version		:	20230728
Release		:	16.2.0.rel%{?dist}
Summary		:	The LFS-Bootscripts package
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Creative Commons and MIT
URL		:	www.linuxfromscratch.org/lfs/downloads

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-jmp-1.patch

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#need function shell script
Requires	:	lsb
Requires	:	net-tools

Requires(post)	:	chkconfig
Requires	:	sipcalc
Requires	:	coreutils
#-----------------------------------------------------------------------------
%description
The LFS-Bootscripts package contains a set of scripts to start/stop the LFS
system at bootup/shutdown. The configuration files and procedures needed to
customize the boot process are described in the following sections.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc README
%config (noreplace) %{_sysconfdir}/sysconfig/clock
%config (noreplace) %{_sysconfdir}/sysctl.conf
%{_sysconfdir}/sysconfig/createfiles
%{_sysconfdir}/sysconfig/samples/ifconfig.*
%{_sysconfdir}/sysconfig/modules
%{_sysconfdir}/sysconfig/rc.site
%{_sysconfdir}/sysconfig/udev_retry
%{_sysconfdir}/init.d
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/rc.d/rc[0-6,S].d/*
/lib/services/init-functions
%attr (0750,root,root) /lib/services/ip-static
%attr (0750,root,root) /lib/services/ipv4-static
%attr (0750,root,root) /lib/services/ipv4-static-route
%attr (0750,root,root) /lib/services/bridge
%attr (0750,root,root) /lib/services/dhclient
%attr (0750,root,root) %{_sbindir}/setroute
%attr (0750,root,root) %{_sbindir}/ifdown
%attr (0750,root,root) %{_sbindir}/ifup
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  for ser in %{all_service}
    do
    %{_sysconfdir}/rc.d/init.d/$ser stop > /dev/null 2>&1 || :
    %{_sbindir}/chkconfig --del $ser
    done
  fi

%post
for ser in %{all_service}
  do
  %{_sbindir}/chkconfig --add $ser
  %{_sbindir}/chkconfig $ser on
  done

for ser in setclock
  do
  %{_sbindir}/chkconfig --add $ser
  done


#=============================================================================
%prep
%setup -q
%{__tar} xf %{SOURCE1}
%patch -P 0 -p1

#move application script to /usr/sbin
sed -i							\
  -e "/^SBIN/s:/sbin:/usr/sbin:"			\
  Makefile

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

#cp %{name}-ok_addon/Makefile .

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#No need for a dry template in distribution.
%{__rm} -f %{buildroot}/etc/rc.d/init.d/template

#specifi init script
%{__cp}							\
	%{name}-ok_addon/setclock			\
	%{name}-ok_addon/modules			\
	%{name}-ok_addon/setnet				\
	%{name}-ok_addon/network			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#rcS.d init script
%{__ln_s}						\
	../init.d/setclock				\
	%{buildroot}%{_sysconfdir}/rc.d/rcS.d/S06setclock

%{__ln_s}						\
	../init.d/modules				\
	%{buildroot}%{_sysconfdir}/rc.d/rcS.d/S07modules

%{__ln_s}						\
	../init.d/setnet				\
	%{buildroot}%{_sysconfdir}/rc.d/rcS.d/S12setnet
	

#to be able to work out big big trouble at boot time
sed -i							\
 -e "/wait_for_user/a\   /bin\/bash"			\
 -e "s:to continue...:to be in shell...:"		\
 %{buildroot}/%{_sysconfdir}/rc.d/init.d/rc

%{__chmod} 0750 %{buildroot}/%{_sysconfdir}/rc.d/init.d/rc

%{__cp}							\
	%{name}-ok_addon/setroute			\
	%{name}-ok_addon/ifdown				\
	%{name}-ok_addon/ifup				\
	%{buildroot}%{_sbindir}

%{__cp}							\
	%{name}-ok_addon/console			\
	%{name}-ok_addon/localnet			\
	%{name}-ok_addon/mountfs			\
	%{name}-ok_addon/mountvirtfs			\
	%{name}-ok_addon/reboot				\
	%{name}-ok_addon/setclock			\
	%{name}-ok_addon/sysctl				\
	%{name}-ok_addon/swap				\
 	%{buildroot}/%{_sysconfdir}/rc.d/init.d

%{__cp}							\
	%{name}-ok_addon/dhclient			\
	%{name}-ok_addon/bridge				\
	%{name}-ok_addon/ip-static			\
	%{buildroot}/lib/services

%{__cp}							\
	%{name}-ok_addon/clock				\
	%{name}-ok_addon/modules			\
	%{buildroot}%{_sysconfdir}/sysconfig

%{__cp}							\
	%{name}-ok_addon/udev_retry-sysconfig		\
	%{buildroot}%{_sysconfdir}/sysconfig/udev_retry

%{__cp}							\
	%{name}-ok_addon/modules-sysconfig		\
	%{buildroot}%{_sysconfdir}/sysconfig/modules

#setting the sysctl default
%{__cp}							\
	%{name}-ok_addon/sysctl.conf			\
	%{buildroot}%{_sysconfdir}/

#interface setup examples
%{__cp}	-a						\
	%{name}-ok_addon/samples			\
	%{buildroot}%{_sysconfdir}/sysconfig

#adjusting if up version
sed -i							\
  -e "s/--OKNUM--/${OKNUM}/"				\
  %{buildroot}%{_sbindir}/ifup
	
#empty directory within bootscripts
%{__rm} -fr %{buildroot}/lib/lsb

#-----------------------------------------------------------------------------
%changelog
